msgpack::adaptor::object_with_zone< type::tuple<> > Struct Template Reference

`#include <cpp03_msgpack_tuple.hpp>`

## Public Member Functions

void | operator() (msgpack::object::with_zone &o, const type::tuple<> &) const

## Member Function Documentation

## operator()()

void msgpack::adaptor::object_with_zone< type::tuple<> >::operator() | ( | msgpack::object::with_zone & | o,
|  | const type::tuple<> & |
| ) |  | const

inline

References msgpack::zone::allocate_align(), msgpack::type::ARRAY, msgpack::object::union_type::array, MSGPACK_NULLPTR, MSGPACK_ZONE_ALIGNOF, msgpack::object_array::ptr, msgpack::object_array::size, msgpack::object::type, msgpack::object::via, and msgpack::object::with_zone::zone.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/detail/cpp03_msgpack_tuple.hpp